---
title: get-access-request-status
product: vercel
url: /docs/rest-api/teams/get-access-request-status
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about get-access-request-status on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# Get access request status

```http
GET /v1/teams/{teamId}/request/{userId}
```

Check the status of a join request. It'll respond with a 404 if the request has been declined. If no `userId` path segment was provided, this endpoint will instead return the status of the authenticated user.

## Authentication

**bearerToken**: HTTP bearer

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `userId` | string | Yes |  |
| `teamId` | string | Yes |  |


## Responses

### 200: Successfully

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "accessRequestedAt",
    "bitbucket",
    "confirmed",
    "github",
    "gitlab",
    "joinedFrom",
    "teamName",
    "teamSlug"
  ],
  "properties": {
    "teamSlug": {
      "type": "string",
      "description": "The slug of the team."
    },
    "teamName": {
      "type": "string",
      "description": "The name of the team."
    },
    "confirmed": {
      "type": "boolean",
      "description": "Current status of the membership. Will be `true` if confirmed, if pending it'll be `false`.",
      "enum": [
        false,
        true
      ]
    },
    "joinedFrom": {
      "type": "object",
      "description": "A map that describes the origin from where the user joined.",
      "required": [
        "origin"
      ],
      "properties": {
        "origin": {
          "type": "string",
          "enum": [
            "teams",
            "link",
            "import",
            "mail",
            "github",
            "gitlab",
            "bitbucket",
            "saml",
            "dsync",
            "feedback",
            "organization-teams",
            "nsnb-auto-approve",
            "nsnb-hobby-upgrade",
            "nsnb-request-access",
            "nsnb-viewer-upgrade",
            "nsnb-invite",
            "nsnb-redeploy"
          ]
        },
        "commitId": {
          "type": "string"
        },
        "repoId": {
          "type": "string"
        },
        "repoPath": {
          "type": "string"
        },
        "gitUserId": {
          "oneOf": [
            {
              "type": "string"
            },
            {
              "type": "number"
            }
          ]
        },
        "gitUserLogin": {
          "type": "string"
        },
        "ssoUserId": {
          "type": "string"
        },
        "ssoConnectedAt": {
          "type": "number"
        },
        "idpUserId": {
          "type": "string"
        },
        "dsyncUserId": {
          "type": "string"
        },
        "dsyncConnectedAt": {
          "type": "number"
        }
      }
    },
    "accessRequestedAt": {
      "type": "number",
      "description": "Timestamp in milliseconds when the user requested access to the team."
    },
    "github": {
      "type": "object",
      "description": "Map of the connected GitHub account.",
      "nullable": true,
      "properties": {
        "login": {
          "type": "string"
        }
      }
    },
    "gitlab": {
      "type": "object",
      "description": "Map of the connected GitLab account.",
      "nullable": true,
      "properties": {
        "login": {
          "type": "string"
        }
      }
    },
    "bitbucket": {
      "type": "object",
      "description": "Map of the connected Bitbucket account.",
      "nullable": true,
      "properties": {
        "login": {
          "type": "string"
        }
      }
    }
  }
}
```

### 400: One of the provided values in the request query is invalid.
User is already a confirmed member of the team and did not request access. Only visible when the authenticated user does have access to the team.

### 401: No description

### 403: You do not have permission to access this resource.

### 404: The provided user doesn't have a membership.
Team was not found.

---

## Related

- [teams endpoints](/docs/rest-api#teams)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://openapi.vercel.sh/) (machine-readable, all endpoints)

---

[View full sitemap](/docs/sitemap)
